# Ipopt::RestorationPhase Class Reference

Base class for different restoration phases. More...

`#include <IpRestoPhase.hpp>`

Inheritance diagram for Ipopt::RestorationPhase:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| overloaded from AlgorithmStrategyObject
virtual bool | PerformRestoration ()=0
| Method called to perform restoration for the filter line search method.
Constructors/Destructors
| RestorationPhase ()
| Default Constructor.
virtual | ~RestorationPhase ()
| Default Destructor.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestorationPhase (const RestorationPhase &)
| Copy Constructor.
void | operator= (const RestorationPhase &)
| Overloaded Equals Operator.

## Detailed Description

Base class for different restoration phases.

The restoration phase is part of the FilterLineSearch.

Definition at line 34 of file IpRestoPhase.hpp.

## Constructor & Destructor Documentation

Ipopt::RestorationPhase::RestorationPhase | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 40 of file IpRestoPhase.hpp.

virtual Ipopt::RestorationPhase::~RestorationPhase | ( |  | ) | `[inline, virtual]`

Default Destructor.

Definition at line 43 of file IpRestoPhase.hpp.

Ipopt::RestorationPhase::RestorationPhase | ( | const RestorationPhase & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestorationPhase::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::MinC_1NrmRestorationPhase, and Ipopt::RestoRestorationPhase.

virtual bool Ipopt::RestorationPhase::PerformRestoration | ( |  | ) | `[pure virtual]`

Method called to perform restoration for the filter line search method.

Implemented in Ipopt::MinC_1NrmRestorationPhase, and Ipopt::RestoRestorationPhase.

void Ipopt::RestorationPhase::operator= | ( | const RestorationPhase & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::MinC_1NrmRestorationPhase, and Ipopt::RestoRestorationPhase.

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoPhase.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines